> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apiaccountscurrent

> Update the current account



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json patch /api/accounts/current
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/accounts/current:
    patch:
      tags:
        - accounts
      description: Update the current account
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                language:
                  oneOf:
                    - type: object
                      properties: {}
                    - type: string
                      enum:
                        - en
                    - type: string
                      enum:
                        - de
                    - type: string
                      enum:
                        - fr
                    - type: string
                      enum:
                        - it
                metaInformation:
                  type: object
                  properties:
                    acceptedNewsletter:
                      type: boolean
                    syncErrorWrite:
                      type: string
                      nullable: true
                    syncErrorRead:
                      type: string
                      nullable: true
                    importedData:
                      type: object
                      properties:
                        importedFrom:
                          type: string
                      required:
                        - importedFrom
                  required:
                    - acceptedNewsletter
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ManagementAccount_Account'
                required:
                  - data
components:
  schemas:
    ManagementAccount_Account:
      type: object
      properties:
        id:
          type: number
        email:
          type: string
        type:
          type: string
          enum:
            - ADMIN
            - AUTH0
            - GOOGLE
            - FACEBOOK
            - GITHUB
            - APPLE
            - MICROSOFT
            - LEGACY
            - GUEST
            - EMAIL
        language:
          type: string
          enum:
            - en
            - de
            - fr
            - it
        deletedAt:
          type: string
          format: date-time
          nullable: true
        scheduledForDeletionAfter:
          type: string
          format: date-time
          nullable: true
        company:
          type: string
          nullable: true
        metaInformation:
          type: object
          properties:
            acceptedNewsletter:
              type: boolean
            syncErrorWrite:
              type: string
              nullable: true
            syncErrorRead:
              type: string
              nullable: true
            importedData:
              type: object
              properties:
                importedFrom:
                  type: string
              required:
                - importedFrom
          required:
            - acceptedNewsletter
      required:
        - id
        - email
        - type
        - language
        - deletedAt
        - scheduledForDeletionAfter
        - company
        - metaInformation

````